﻿html {
    position: relative;
    min-height: 100%;
}

/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 71px;
    font-family: Roboto, sans-serif;
}

.navbar {
    padding: 10px 0;
}

.navbar > .container .navbar-brand {
    margin-left:0;
}

.navbar-brand {
    padding: 0;
    font-size: 14px;
    margin-left: 15px;
}

.navbar-brand .brand-logo {
    height: 18px;
    display: inline-block;
    margin-top: -5px;
    padding-left: 10px;
}

.navbar-brand .brand-title {
    font-family: Roboto, sans-serif;
    text-transform: uppercase;
    color: #3C4A64;
    margin-left: 5px;
    line-height: 50px;
    vertical-align: middle;
    font-weight: 400;
    font-size: 16px;
    opacity: 75%;
}

.visible-sm-inline {
    font-size: larger;
    font-weight: bold;
}

.navbar-default {
    background-color: #fff;
}

.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:focus, .navbar-default .navbar-nav > .active > a:hover {
    background-color: inherit;
}

.navbar-default .navbar-nav > li:hover > a {
    color: #6948d9;
}

.navbar-default .navbar-nav > .open > a, .navbar-default .navbar-nav > .open > a:hover, .navbar-default .navbar-nav > .open > a:focus {
    background-color: inherit;
    color: #6948d9;
}

.navbar-nav {
    text-transform: uppercase;
    font-weight: 500;
}

.jumbotron {
    background-image: url("../images/finastra-hero-banner.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    padding-top: 50px;
    padding-bottom: 50px;
    background-blend-mode: darken;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    margin-top: 20px;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

.footer-shields {
    background-color: #f5f5f5;
}

.footer-shields .container, .footer-copyright .container {
    font-size: 12px;
    padding-top: 12px;
    padding-bottom: 12px;
}

.footer-copyright {
    /*background-color: #8c6fd1;
            background: linear-gradient(315deg,#8c6fd1,#b140ab 53%,#8c6fd1);*/
    background-color: #545454;
    color: #fff;
}

.cms-footer-links {
    margin: 0 0 0 -5px;
    padding: 0;
}

.cms-footer-links li {
    list-style: none;
    display: inline-block;
    padding: 0 5px;
    border-right: 1px solid #fff;
}

.cms-footer-links a, .cms-footer-links a:hover {
    color: #fff;
}

.grid {
    /*overflow: auto;*/
    padding-left: 0;
}

.grid-login {
    background-color: rgb(255, 255, 255);
    border-radius: 5px;
    padding-bottom: 10px;
    padding-left: 30px;
    padding-right: 30px;
    white-space: nowrap;
    overflow: hidden;
    min-width: 104px;
}

.main-frame {
    width: 100%;
    margin: 0;
    padding: 0;
    position: relative;
    display: block;
}

.btn-primary {
    background: #6948d9;
    border-color: transparent;
    border-radius: 10rem;
    padding: .6rem 3rem;
}

.btn-primary:hover {
    color: #fff;
    background-color: #b140ab !important;
    border-color: transparent;
    transform: scale(1.02);
}

.btn-primary:focus {
    color: #fff;
    background-color: #b140ab;
    border-color: transparent;
    transform: scale(1.02);
}

.btn-login {
    padding-left: 20px;
    padding-right: 20px;
    width: 20%;
    min-width: fit-content;
    font-weight: 500;
    letter-spacing: 1.25px;
}

a {
    color: #b140ab;
    color: #594ad0;
}

h2 {
    font-size: 14px;
    font-weight: 700;
    text-transform: uppercase;
}

.news-more a {
    color: #6948d9;
    font-weight: 500;
}

.news-title {
    font-weight: 500;
}

/*@media(max-width:992px) {
    .nav > li > a {
        padding-left: 10px;
        padding-right: 10px;
    }
}*/

label {
    font-weight: 400;
}

.modal-title {
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 700;
}

.modal-header {
    padding-bottom: 0;
    border-bottom: none;
}

.modal-footer {
    padding: 15px;
    text-align: inherit;
    border-top: none;
}

.modal-content {
    padding: 10px;
}

.modal {
    text-align: center;
    padding: 0 !important;
}

.modal:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
    margin-right: -4px;
}

.modal-dialog {
    display: inline-block;
    text-align: left;
    vertical-align: middle;
}

.form-login-label {
    font-family: 'Roboto', sans-serif;
    font-weight: 900;
    font-size: 20px;
    line-height:  71px;
    text-transform: none;
    color: black;
}

.form-input-label {
    color: rgba(0, 0, 0, 0.54);
}

.input-group {
    border: 1px solid #ccc;
    border-radius: 4px;
    height: 40px;
    overflow: hidden;
    width: 100%;
    min-width: 58px;
}

.input-group-addon {
    background-color: transparent;
    border: 0;
    padding: 0;
    width: 30px;
}

.input-group-addon.left-addon {
    position: relative;
    z-index: 4;
}

.input-group-addon.right-addon {
    position: relative;
    z-index: 3;
    cursor: pointer;
}

.input-group-addon .icon {
    color: #777;
    font-size: 16px;
}

.input-group-addon .icon:hover {
    font-weight: 700;
}

.input-group .form-control {
    border: 0;
    width: 98%;
    height: 100%;
    font-weight: 500;
    color: black;
    position: relative;
    z-index: 0;
    box-shadow: none;
    left: 5px;
}

.input-group:focus-within {
    border-color: #6948d9;
    box-shadow: 0 0 2px #6948d9;
}

input[placeholder="Username"] {
    text-transform: uppercase;
}

.input-group .form-control::placeholder {
    text-transform: none;
}

.user-icon::before {
    content: " ";
    display: block;
    height: .9em;
    width: .9em;
    position: absolute; /* Use absolute positioning */
    left: 18px; /* Move to the horizontal center */
    top: 1em;
    transform: translateX(-50%); /* Center horizontally */
    border-radius: 1em;
    border: 2px solid #6948d9;
    font-size: 10px;
}

.user-icon::after {
    content: " ";
    display: block;
    height: 0.7em;
    width: 2em;
    position: absolute; /* Use absolute positioning */
    left: 18px; /* Move to the horizontal center */
    top: 2em;
    transform: translateX(-50%); /* Center horizontally */
    border-radius: 2em 2em 0 0;
    border: 2px solid #6948d9;
    font-size: 10px;
}

.user-lock {
    background: transparent;
    border-radius: 2px;
    border: 2px solid #6948d9;
    width: 18px;
    height: 15px;
    top: 15px;
    left: 9px;
    position: absolute;
}

.user-lock:before {
    content: "";
    display: block;
    position: absolute;
    border: 2px solid #6948d9;
    top: -10px;
    left: 2px;
    width: 11px;
    height: 10px;
    border-radius: 35px 35px 0 0;
}

.user-lock:after {
    content: "";
    display: block;
    position: absolute;
    border: 2px solid #6948d9;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 1px;
    height: 1px;
    border-radius: 50%;
    background-color: #6948d9; /* Add the circle color here */
}

/** style for eye **/
.eye {
    width: 1.70em;
    height: 1.1em;
    position: relative;
    --background: #777;
    --color: currentcolor;
    left: 3px;
}

.eye:hover {
    width: 1.70em;
    height: 1.3em;
}

.eye div {
    overflow: hidden;
    height: 50%;
    position: relative;
    margin-bottom: -1px;
}

.eye div:before {
    content: '';
    background: transparent;
    border: 2px solid #777;
    position: absolute;
    left: 0;
    right: 0;
    height: 300%;
    border-radius: 100%;
}

.eye div:last-child:before {
    bottom: 0;
}

.eye:before {
    content: '';
    position: absolute;
    top: 48%;
    left: 51%;
    transform: translate(-50%, -50%);
    width: .7em;
    height: .7em;
    border: 2px solid #777;
    border-radius: 100%;
}

.eye:after {
    content: '';
    position: absolute;
    top: -0.15em;
    left: calc(33.333% - 0.15em);
    transform: rotate(45deg) scaleX(0);
    transform-origin: left center;
    width: 95%;
    height: 0.3em;
    background: white;
    border-top: 2px solid #777;
    transition: transform 0.25s;
}

.eye.slash:after {
    transform: rotate(45deg) scaleX(1);
}

.hr-or {
    display: flex;
    align-items: center;
    text-align: center;
    margin: 18px 0;
}

.hr-or::before,
.hr-or::after {
    content: "";
    flex: 1;
    border-bottom: 1px solid #ccc;
}

.hr-or:not(:empty)::before {
    margin-right: 0.75em;
}

.hr-or:not(:empty)::after {
    margin-left: 0.75em;
}

.hr-or span {
    color: #888;
    font-weight: 500;
    font-size: 1em;
    letter-spacing: 0.1em;
}

.email-icon {
    position: relative;
    display: inline-block;
    width: 18px;
    height: 14px;
    vertical-align: middle;
}

